All Classes Namespaces Functions Variables Groups Pages
SchemaReverse::FunctionReverse Class Reference

Structure dump of a function. More...

Inheritance diagram for SchemaReverse::FunctionReverse:
[legend]

## Public Member Functions

| constructor (AbstractDatasource ds, string name)
string | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here. More...
Public Member Functions inherited from SchemaReverse::AbstractReverseObject
| constructor (AbstractDatasource ds, string name)
Database | database ()
AbstractDatasource | datasource ()
string | name ()
string | toString ()
| Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore(). More...

## Detailed Description

Structure dump of a function.

## Member Function Documentation

SchemaReverse::FunctionReverse::constructor | ( | AbstractDatasource | ds,
|  | string | name
| ) |  |

inline

Parameters

  ds | an AbstractDatasource object
  name | a string with exact object name

string SchemaReverse::FunctionReverse::toQore | ( |  | ) |

virtual

Dedicated functionlity to get DB object info into the internal structure is done here.

All inherited classes must implement this method to get all required DB metadata in proper format

Implements SchemaReverse::AbstractReverseObject.